Get all report notifications
curl --request GET \
--url https://api.vantage.sh/v2/report_notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/report_notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/report_notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/report_notifications",
"first": "https://api.vantage.sh/v2/report_notifications?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/report_notifications?page=1",
"prev": null
},
"report_notifications": [
{
"token": "rprt_ntfctn_7c09ca27d07d8d1e",
"title": "Test Notification",
"cost_report_token": "rprt_ba0a5a5201390d72",
"user_tokens": [
"usr_27edb13f3beac3cb"
],
"frequency": "weekly",
"change": "percentage"
}
]
}ReportNotifications
Get all report notifications
Return all ReportNotifications.
GET
/
report_notifications
Get all report notifications
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I